Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.ui.refactoring
Class UndoRefactoringAction

    java.lang.Object
      org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
          org.eclipse.ltk.ui.refactoring.UndoRefactoringAction

All Implemented Interfaces:
  IActionDelegate, IWorkbenchWindowActionDelegate

public class UndoRefactoringAction
extends org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
implements IWorkbenchWindowActionDelegate

The refactoring undo action. When executed the action performs the top most change from the refactoring undo manager's undo stack.

The action is typically added to a global refactoring menu via the `org.eclipse.ui.actionSets` extension point.

Note: this class isn't intended to be subclassed. Clients are only allowed to instantiate the class or to reference it from an action set.

Since:
  3.0

Nested Class Summary

Nested classes inherited from class org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
`org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction.Query`

Constructor Summary
`UndoRefactoringAction()` Creates a new undo refactoring action.

Method Summary
`protected IRunnableWithProgress` | `createOperation(Shell parent)`
`protected UndoManagerAdapter` | `createUndoManagerListener()`
`protected String` | `getName()`
`void` | `selectionChanged(IAction action, ISelection s)`

Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
`dispose, getAction, getWorkbenchWindow, hookListener, init, isHooked, run, shortenText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchWindowActionDelegate
`dispose, init`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run`

Constructor Detail

### UndoRefactoringAction

    public UndoRefactoringAction()

  Creates a new undo refactoring action.

Method Detail

### getName

    protected String getName()

### createOperation

    protected IRunnableWithProgress createOperation(Shell parent)

### createUndoManagerListener

    protected UndoManagerAdapter createUndoManagerListener()

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection s)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.